KDE 4.7 PyKDE API Reference

- KDE's Python API

# KNS Namespace Reference

`from PyKDE4.knewstuff.KNS import *`

## Detailed Description

## Class Index

A | Category (KNS) | I
Author (KNS) | E | Installation (KNS)
B | Engine (KNS) | T
Button (KNS) | Engine (KNS) | KTranslatable (KNS)
C | Entry (KNS) |

## Functions
KAction | standardAction (QString what, QObject receiver, QString slot, KActionCollection parent, QString name=0)

## Function Documentation

KAction standardAction | ( | QString | what,
|  | QObject | receiver,
|  | QString | slot,
|  | KActionCollection | parent,
|  | QString | name=0
| ) |  |  |

Standard action for all GHNS workflows.

This action can be used to add KNewStuff support to menus and toolbars.

Parameters:

  | what | text describing what is being downloaded. For consistency, set it to "Get New Foobar...". Examples: "Get New Wallpapers...", "Get New Emoticons..."
  | receiver | the QObject to connect the triggered(bool) signal to.
  | slot | the slot to connect the triggered(bool) signal to.
  | parent | the action's parent collection.
  | name | The name by which the action will be retrieved again from the collection.

Deprecated, use knewstuff3!